using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using IndianHealthService.BMXNet.Services;

namespace IndianHealthService.BMXNet.TestBench
{
    public partial class LogTranscriptControl : UserControl,ILog
    {
        public LogTranscriptControl()
        {
            InitializeComponent();
        }

        #region ILog Members

        public bool IsLogging
        {
            get { return true; }
        }

        public void Log(string aClass, string aCategory, string aMessage)
        {
            this.transcriptBox.AppendText(DateTime.Now.ToString("HH:MM:ss.mm").PadRight(12)+" "+aClass.PadRight(10) + " " + aCategory.PadRight(20) + " " + aMessage);
        }

        #endregion

        #region ILog Members


        public void Log(string aClass, string aCategory, params string[] lines)
        {
            throw new NotImplementedException();
        }

        public void Log(string aClass, string aCategory, Exception anException, params string[] lines)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
